# Class: HeatmapPoint

## HeatmapPoint()

#### new HeatmapPoint()

Source:
  - HeatmapPoint.js, line 10

### Methods

#### (async, static) createObj() → {Promise.<HeatmapPoint>}

构造一个新的 HeatmapPoint 对象。

Source:
  - HeatmapPoint.js, line 19

##### Returns:

Type
  Promise.<HeatmapPoint>

#### (async, static) getPoint() → {Promise.<Dot>}

获取热力点坐标

Source:
  - HeatmapPoint.js, line 35

##### Returns:

Type
  Promise.<Dot>

#### (async, static) getValue() → {Promise.<*>}

获取热力点权重

Source:
  - HeatmapPoint.js, line 66

##### Returns:

Type
  Promise.<*>

#### (async, static) setPoint(point) → {Promise.<void>}

设置热力点坐标

##### Parameters:

Name | Type | Description
--- | --- | ---
`point` | Object |

Source:
  - HeatmapPoint.js, line 53

##### Returns:

Type
  Promise.<void>

#### (async, static) setValue(value) → {Promise.<void>}

设置热力点权重

##### Parameters:

Name | Type | Description
--- | --- | ---
`value` | Number |

Source:
  - HeatmapPoint.js, line 81

##### Returns:

Type
  Promise.<void>